Bug 1314645 - Upgrade failed with "One or more undefined variables 'dict object' has no attribute 'stdout'"
Upgrade failed with "One or more undefined variables 'dict object' has no at...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
Anping Li
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 02:07 EST by Anping Li
Modified: 2016-05-12 12:31 EDT (History)
5 users (show)

See Also:
Fixed In Version: openshift-ansible-3.0.51-1.git.0.faacbce.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:31:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anping Li 2016-03-04 02:07:28 EST
Description of problem:
openshift-ansible Upgrade failed at task set_fact. The output will be attached.

Version-Release number of selected component (if applicable):


How reproducible:
atomic-openshift-utils-3.0.50
ansible-1.9.4-1.el7aos.noarch
Red Hat Enterprise Linux Server release 7.2 (Maipo)

Steps to Reproduce:
1. ansible-playbook -i config/ose3104 /usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_1_to_v3_2/upgrade.yml -vvv

Actual results:
TASK: [Determine available versions] ****************************************** 
skipping: [10.14.6.120]
skipping: [10.14.6.126]

TASK: [set_fact ] ************************************************************* 
<10.14.6.120> ESTABLISH CONNECTION FOR USER: root
fatal: [10.14.6.120] => One or more undefined variables: 'dict object' has no attribute 'stdout'
<10.14.6.126> ESTABLISH CONNECTION FOR USER: root
fatal: [10.14.6.126] => One or more undefined variables: 'dict object' has no attribute 'stdout'

FATAL: all hosts have already failed -- aborting

PLAY RECAP ******************************************************************** 
           to retry, use: --limit @/root/upgrade.retry

10.14.6.120                : ok=43   changed=2    unreachable=1    failed=0   
10.14.6.126                : ok=43   changed=2    unreachable=1    failed=0   
localhost                  : ok=7    changed=0    unreachable=0    failed=0   


Expected results:


Additional info:
Comment 3 Anping Li 2016-03-07 02:38:21 EST
The fix works well, so move to verified.
Comment 5 errata-xmlrpc 2016-05-12 12:31:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.